Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000421 [1003.1(2008)/Issue 7] System Interfaces Objection Error 2011-05-04 14:57 2013-04-16 13:06
Reporter geoffclare View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Closed  
Name Geoff Clare
Organization The Open Group
User Reference
Section wait
Page Number 2183
Line Number 68781
Interp Status ---
Final Accepted Text
Summary 0000421: Inconsistent casting of -1 in RETURN VALUE sections
Description A mailing list discussion in November 2010 identified a problem
with function RETURN VALUE sections where the standard sometimes
shows a cast of the form (sometype_t)-1 when one is not needed.
It is particularly noticeable on the wait() page where there are
two occurrences of -1, one without the cast and one with it.

The cast should not be there when the type is required to be a
signed integer type (e.g. pid_t, off_t), but should be there for
all other types used in the standard.

On the ftell() page there is an equivalent problem where casting
is mentioned in the text.
Desired Action At page 956 line 32045 section ftell delete "cast to long and off_t
respectively,".

At page 1073 line 35804 section getsid change "(pid_t)-1" to "-1".

At page 1265 line 41639 section lseek change "(off_t)-1" to "-1".

At page 1347 line 44234 section msgrcv change "(ssize_t)-1" to "-1".

At page 1887 line 60039 section setsid change "(pid_t)-1" to "-1".

At page 2089 line 66089 section tcgetsid change "(pid_t)-1" to "-1".

At page 2183 line 68781 section wait change "(pid_t)-1" to "-1".
Tags tc1-2008
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-05-04 14:57 geoffclare New Issue
2011-05-04 14:57 geoffclare Status New => Under Review
2011-05-04 14:57 geoffclare Assigned To => ajosey
2011-05-04 14:57 geoffclare Name => Geoff Clare
2011-05-04 14:57 geoffclare Organization => The Open Group
2011-05-04 14:57 geoffclare Section => wait
2011-05-04 14:57 geoffclare Page Number => 2183
2011-05-04 14:57 geoffclare Line Number => 68781
2011-05-04 14:57 geoffclare Interp Status => ---
2011-06-02 16:23 Don Cragun Status Under Review => Resolved
2011-06-02 16:23 Don Cragun Resolution Open => Accepted
2011-06-02 16:23 Don Cragun Description Updated
2011-06-02 16:23 Don Cragun Desired Action Updated
2011-06-02 16:23 Don Cragun Tag Attached: tc1-2008
2013-04-16 13:06 ajosey Status Resolved => Closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker